HFST-AFFIX-GUESSIFY(1)

NAME
hfst-affix-guessify - =Create weighted affix guesser from automaton

SYNOPSIS
hfst-affix-guessify [OPTIONS...] [INFILE]

DESCRIPTION
Create weighted affix guesser from automaton

  Common options:

-h, --help
    Print help message

-V, --version
    Print version info

-v, --verbose
    Print verbosely while processing

-q, --quiet
    Only print fatal erros and requested output

-s, --silent
    Alias of --quiet

  Input/Output options:

-i, --input=INFILE
    Read input transducer from INFILE

-o, --output=OUTFILE
    Write output transducer to OUTFILE

  Guesser parameters:

-D, --direction=DIR
    set direction of guessing

-w, --weight=WEIGHT
    set weight difference of affix lengths

If OUTFILE or INFILE is missing or -, standard streams will be used. Format of result depends on format of INFILE DIR is either suffix or prefix, or suffix if omitted. WEIGHT is a weight of each arc not in the known suffix or prefix being guessed, as parsed with strtod(3), or 1.0 if omitted.

REPORTING BUGS
Report bugs to <hfst-bugs@helsinki.fi> or directly to our bug tracker at: <https://github.com/hfst/hfst/issues>

hfst-affix-guessify home page: <https://kitwiki.csc.fi/twiki/bin/view/KitWiki//HfstAffixGuessify>
General help using HFST software: <https://kitwiki.csc.fi/twiki/bin/view/KitWiki//HfstHome>

COPYRIGHT
Copyright © 2017 University of Helsinki, License GPLv3: GNU GPL version 3 <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.